## fcft 2.3.1

=== meson_options.txt ===
option('text-shaping', type: 'feature')

# Test-related options
option('test-text-shaping', type: 'boolean', value: false,
       description: 'include text shaping tests (requires an emoji font to be installed)')

## fcft 2.2.3

=== debian/changelog ===
fcft (2.2.3-1) unstable; urgency=medium

  * Initial release. (Closes: #966329)

 -- Birger Schacht <birger@debian.org>  Sun, 02 Aug 2020 09:27:30 +0200

=== debian/control ===
Source: fcft
Section: libdevel
Priority: optional
Maintainer: Birger Schacht <birger@debian.org>
Build-Depends: debhelper-compat (= 13),
               meson,
               pkg-config,
               libpixman-1-dev,
               libfreetype6-dev,
               libfontconfig-dev,
               libtllist-dev,
               scdoc,
               cmake
Standards-Version: 4.5.0
Homepage: https://codeberg.org/dnkl/fcft/
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/birger/fcft.git
Vcs-Browser: https://salsa.debian.org/birger/fcft

Package: libfcft-dev
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libfcft3 (= ${binary:Version})
Description: font loading and glyph rasterization library -- development files
 fcft is a small font loading and glyph rasterization library built on-top of
 FontConfig, FreeType2 and pixman.
 .
 It can load and cache fonts from a fontconfig-formatted name string, e.g.
 Monospace:size=12, optionally with user configured fallback fonts.
 .
 After a font has been loaded, you can rasterize glyphs. When doing so, the
 primary font is first considered. If it does not have the requested glyph, the
 user configured fallback fonts (if any) are considered. If none of the user
 configured fallback fonts has the requested glyph, the FontConfig generated
 list of fallback fonts are checked.
 .
 This package contains the header and development files.

Package: libfcft3
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: libs
Description: font loading and glyph rasterization library
 fcft is a small font loading and glyph rasterization library built on-top of
 FontConfig, FreeType2 and pixman.
 .
 It can load and cache fonts from a fontconfig-formatted name string, e.g.
 Monospace:size=12, optionally with user configured fallback fonts.
 .
 After a font has been loaded, you can rasterize glyphs. When doing so, the
 primary font is first considered. If it does not have the requested glyph, the
 user configured fallback fonts (if any) are considered. If none of the user
 configured fallback fonts has the requested glyph, the FontConfig generated
 list of fallback fonts are checked.
 .
 This package contains the shared libraries.

Package: libfcft-doc
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Section: doc
Description: font loading and glyph rasterization library -- documentation
 fcft is a small font loading and glyph rasterization library built on-top of
 FontConfig, FreeType2 and pixman.
 .
 It can load and cache fonts from a fontconfig-formatted name string, e.g.
 Monospace:size=12, optionally with user configured fallback fonts.
 .
 After a font has been loaded, you can rasterize glyphs. When doing so, the
 primary font is first considered. If it does not have the requested glyph, the
 user configured fallback fonts (if any) are considered. If none of the user
 configured fallback fonts has the requested glyph, the FontConfig generated
 list of fallback fonts are checked.
 .
 This package contains the documentation as man pages.

## fcft 2.3.1

=== debian/changelog ===
fcft (2.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 07 Nov 2020 21:49:01 +0100

fcft (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: add libharfbuzz build dependency to support
    text-shaping
  * d/copyright: update path and license of UnicodeData.txt
  * update symbols in d/libfcft3.symbols

 -- Birger Schacht <birger@debian.org>  Tue, 06 Oct 2020 21:32:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                libfreetype6-dev,
                libfontconfig-dev,
                libtllist-dev,
+               libharfbuzz-dev,
                scdoc,
                cmake
 Standards-Version: 4.5.0

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/fcft-$1\.tar\.gz/ \
https://codeberg.org/dnkl/fcft/releases .*/v?(\d\S+)\.tar\.gz

## fcft 3.0.1

=== meson_options.txt ===
option(
    'docs', type: 'feature',
    description: 'Build and install documentation (man pages, readme, changelog, license etc).')
option(
    'grapheme-shaping', type: 'feature',
    description: 'enables shaping of individual grapheme clusters')
option(
    'run-shaping', type: 'feature',
    description: 'enables shaping of whole text runs. Imples -Dgrapheme-shaping=enabled')

# Test-related options
option('test-text-shaping', type: 'boolean', value: false,
       description: 'include text shaping tests (requires an emoji font to be installed)')


option('examples', type: 'boolean', value: false,
       description: 'build a Wayland example program')

=== debian/changelog ===
fcft (3.0.1-2) unstable; urgency=medium

  * Upload to unstable

 -- Birger Schacht <birger@debian.org>  Mon, 14 Feb 2022 09:20:18 +0100

fcft (3.0.1-1) experimental; urgency=medium

  * New upstream release
  * Bump soname version to 4
  * Remove filenamemangle from d/watch
  * Add emoji file to d/copyright

 -- Birger Schacht <birger@debian.org>  Fri, 11 Feb 2022 20:57:20 +0100

fcft (2.5.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0.1 (no changes required)
  * Update symbols file
  * Update year in d/copyright

 -- Birger Schacht <birger@debian.org>  Mon, 03 Jan 2022 12:11:44 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                libharfbuzz-dev,
                scdoc,
                cmake
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0.1
 Homepage: https://codeberg.org/dnkl/fcft/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/birger/fcft.git
@@ -22,7 +22,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libfcft3 (= ${binary:Version})
+         libfcft4 (= ${binary:Version})
 Description: font loading and glyph rasterization library -- development files
  fcft is a small font loading and glyph rasterization library built on-top of
  FontConfig, FreeType2 and pixman.
@@ -38,7 +38,7 @@
  .
  This package contains the header and development files.
 
-Package: libfcft3
+Package: libfcft4
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: libs

=== debian/watch ===
version=4
https://codeberg.org/dnkl/fcft/releases .*/v?(\d\S+)\.tar\.gz

## fcft 3.1.2

=== debian/changelog ===
fcft (3.1.2-1) unstable; urgency=medium

  * New upstream release
  * d/watch: use gitmode
  * d/upstream: add signing-key.asc

 -- Birger Schacht <birger@debian.org>  Thu, 19 May 2022 16:51:23 +0200

fcft (3.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Fri, 06 May 2022 16:13:59 +0200

## fcft 3.1.5

=== debian/changelog ===
fcft (3.1.5-3) unstable; urgency=medium

  * Add missing dependencies to libfcft-dev (Closes: #1025275) 

 -- Birger Schacht <birger@debian.org>  Thu, 01 Dec 2022 22:03:33 +0100

fcft (3.1.5-2) unstable; urgency=medium

  [ Andrea Pappacoda ]
  * d/control: enable "run" shaping support
    "run" shaping support is only enabled when libutf8proc is found on the
    build machine.
    Also add check to the list of Build-Dependencies, as tests are only run
    if the check binary is found.

 -- Birger Schacht <birger@debian.org>  Fri, 25 Nov 2022 17:43:12 +0100

fcft (3.1.5-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 24 Sep 2022 19:38:26 +0200

fcft (3.1.4-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Fri, 09 Sep 2022 12:31:59 +0200

fcft (3.1.3-1) unstable; urgency=medium

  * New upstream release
  * Bump standards-version to 4.6.1.0 (no changes required)

 -- Birger Schacht <birger@debian.org>  Mon, 29 Aug 2022 15:09:41 +0200

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,11 @@
                libfontconfig-dev,
                libtllist-dev,
                libharfbuzz-dev,
+               libutf8proc-dev,
                scdoc,
-               cmake
-Standards-Version: 4.6.0.1
+               cmake,
+               check <!nocheck>
+Standards-Version: 4.6.1.0
 Homepage: https://codeberg.org/dnkl/fcft/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/birger/fcft.git
@@ -22,7 +24,13 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libfcft4 (= ${binary:Version})
+         libfcft4 (= ${binary:Version}),
+         libpixman-1-dev,
+         libfreetype6-dev,
+         libfontconfig-dev,
+         libtllist-dev,
+         libharfbuzz-dev,
+         libutf8proc-dev
 Description: font loading and glyph rasterization library -- development files
  fcft is a small font loading and glyph rasterization library built on-top of
  FontConfig, FreeType2 and pixman.

## fcft 3.1.6

=== meson_options.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+option('svg-backend', type: 'combo', choices: ['none', 'nanosvg'],
+       value: 'nanosvg', description: 'enables support for SVG glyphs (none: disable, nanosvg: bundled)')
 option(
     'docs', type: 'feature',
     description: 'Build and install documentation (man pages, readme, changelog, license etc).')

=== debian/changelog ===
fcft (3.1.6-1) unstable; urgency=medium

  * New upstream release
  * d/control:
   + Bump standards version
   + Switch build-deps from libfreetype6-dev to libfreetype-dev
  * d/copyright:
   + Update copyright years
   + Add licence information for nanosvg

 -- Birger Schacht <birger@debian.org>  Tue, 18 Jul 2023 20:18:38 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                meson,
                pkg-config,
                libpixman-1-dev,
-               libfreetype6-dev,
+               libfreetype-dev,
                libfontconfig-dev,
                libtllist-dev,
                libharfbuzz-dev,
@@ -14,7 +14,7 @@
                scdoc,
                cmake,
                check <!nocheck>
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Homepage: https://codeberg.org/dnkl/fcft/
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/birger/fcft.git
@@ -26,7 +26,7 @@
          ${shlibs:Depends},
          libfcft4 (= ${binary:Version}),
          libpixman-1-dev,
-         libfreetype6-dev,
+         libfreetype-dev,
          libfontconfig-dev,
          libtllist-dev,
          libharfbuzz-dev,

## fcft 3.1.7

=== debian/changelog ===
fcft (3.1.7-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 16 Dec 2023 14:11:16 +0100

## fcft 3.1.8

=== debian/changelog ===
fcft (3.1.8-1.1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:57:43 +0000

fcft (3.1.8-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062550

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Wed, 28 Feb 2024 04:36:16 +0000

fcft (3.1.8-1) unstable; urgency=medium

  * New upstream release
  * d/copyright: bump years
  * d/control: replace build-dependency pkg-config with pkgconf

 -- Birger Schacht <birger@debian.org>  Mon, 26 Feb 2024 21:05:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: fcft
 Section: libdevel
 Priority: optional
-Maintainer: Birger Schacht <birger@debian.org>
-Build-Depends: debhelper-compat (= 13),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Birger Schacht <birger@debian.org>
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                meson,
-               pkg-config,
+               pkgconf,
                libpixman-1-dev,
                libfreetype-dev,
                libfontconfig-dev,
@@ -24,7 +25,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libfcft4 (= ${binary:Version}),
+         libfcft4t64 (= ${binary:Version}),
          libpixman-1-dev,
          libfreetype-dev,
          libfontconfig-dev,
@@ -46,7 +47,10 @@
  .
  This package contains the header and development files.
 
-Package: libfcft4
+Package: libfcft4t64
+Provides: ${t64:Provides}
+Replaces: libfcft4
+Breaks: libfcft4 (<< ${source:Version})
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Section: libs

## fcft 3.1.9

=== debian/changelog ===
fcft (3.1.9-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Thu, 31 Oct 2024 15:02:58 +0100

## fcft 3.1.10

=== debian/changelog ===
fcft (3.1.10-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Mon, 06 Jan 2025 20:25:09 +0100

## fcft 3.3.1

=== debian/changelog ===
fcft (3.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Birger Schacht <birger@debian.org>  Sat, 22 Mar 2025 10:28:47 +0100

## fcft 3.3.2

=== meson_options.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
 option('svg-backend', type: 'combo', choices: ['none', 'nanosvg'],
-       value: 'nanosvg', description: 'enables support for SVG glyphs (none: disable, nanosvg: bundled)')
+       value: 'nanosvg',
+       description: 'enables support for SVG glyphs (none: disable, nanosvg: bundled)')
+option('system-nanosvg', type: 'feature', value: 'disabled',
+       description: 'use system\'s nanosvg instead of the bundled version')
 option(
     'docs', type: 'feature',
     description: 'Build and install documentation (man pages, readme, changelog, license etc).')

=== debian/changelog ===
fcft (3.3.2-1) unstable; urgency=medium

  * New upstream release
  * Add a debian/gbp.conf file

 -- Birger Schacht <birger@debian.org>  Tue, 19 Aug 2025 17:03:23 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fcft
 Section: libdevel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Birger Schacht <birger@debian.org>
+Maintainer: Birger Schacht <birger@debian.org>
 Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                meson,
                pkgconf,

=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://codeberg.org/dnkl/fcft refs/tags/v?(\d\S+)
